/**
  * Just defines what a side is, and static methods for determining
  * on which side of things are things.
  */

package ep.cg;

public class Side {

  public static final int OVER  =  1;
  public static final int ON    =  0;
  public static final int UNDER = -1;

  /**
    * Determines on which side of p1p2 lies p.
    *
    */
  public static int whichSide( Point p1, Point p2, Point p ) {

    double area;
    
    area = ( p1.x() * ( p2.y() - p.y()  ) +
	     p2.x() * ( p.y()  - p1.y() ) +
	     p.x()  * ( p1.y() - p2.y() ) );
    if (area > 0)
      return OVER;
    if (area < 0)
      return UNDER;
    return ON;
  }
}
